/*
 * ParserXmlUnitTest.hpp
 *
 *  Created on: Mar 24, 2012
 *      Author: heber
 */
#ifndef PARSERXMLUNITTEST_HPP_
#define PARSERXMLUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "Parser/XmlParser.hpp"

#include <cppunit/extensions/HelperMacros.h>
#include <string>

class ParserXmlUnitTest :  public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( ParserXmlUnitTest ) ;
  CPPUNIT_TEST ( readwriteXmlTest );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void readwriteXmlTest();

private:
  FormatParser<xml> *parser;
};

#endif /* PARSERXMLUNITTEST_HPP_ */
